require 'erb'

module Antenna
  class HTML
    include ERB::Util
  
    attr_accessor :info_plist, :manifest_url, :display_image_url, :need_shine

    def initialize(info_plist, manifest_url, display_image_url)
        @info_plist, @manifest_url, @display_image_url = info_plist, manifest_url, display_image_url
    end

    def template
      <<-EOF
<!doctype html>
<html>
<head>
    <title><%= @info_plist.bundle_display_name %> v<%= @info_plist.bundle_short_version %> (<%= @info_plist.bundle_version %>)</title>
    <meta name="viewport" content="initial-scale=1.0, user-scalable=no">
    <meta charset="UTF-8">
    <meta http-equiv="cache-control" content="no-cache" />
	<meta http-equiv="Pragma" content="no-cache" />
	<meta http-equiv="Expires" content="-1" />
    <style type="text/css">
        body { font-family: Helvetica, Arial, sans-serif; text-align: center; color: #444; font-size: 18px; }
        img { display: block; margin: 1em auto; border: none; width: 120px; height: 120px; border-radius: 20px; }
        .btn, a.btn, a.btn:visited, a.btn:hover, a.btn:link { 
            display: inline-block;
            border-radius: 3px;
            background-color: #0095c8;
            color: white;
            padding: .8em 1em;
            text-decoration: none;
        }
        a.btn:hover {
            background-color: #00bbfb;
            color: white;
        }
        .disabled {
            background-color: gray !important;
            cursor: default;
        }
        p {
            color: #999
        }
    </style>
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
</head>
<body>
    <h1><%= @info_plist.bundle_display_name %></h1>
    <h2><%= @info_plist.bundle_short_version %> (<%= @info_plist.bundle_version %>)</h2>
    <% if @display_image_url %>
    <a href="itms-services://?action=download-manifest&amp;url=<%= u(@manifest_url) %>">
        <img src="<%= @display_image_url %>">
    </a>
    <% end %>
    <div align="center">
        <table style="width: 95%">
        	<tr>
        		<td align="center" style="height: 50pt"><input id="checkTerm" type="checkbox" onchange="validateButton()"/>
                <label >&nbspCheck to be able to download</label></td>
        	</tr>
        	<tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><a id="buttonDownload" onclick="" class="btn disabled">Tap to install</a></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr >
                <td align="center" >
                    <div >
                        <h2>Cheesecake Certificate</h2>
                    </div>
                </td>
            </tr>
            <tr >
                <td align="center" >
                    <div >
                        <label><font size="3">After install the app, follow the instructions below</font></label>
                    </div>
                </td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><b>1 - Access Settings</b></td>
            </tr>
            <tr>
                <td align="center"><img src="Passo_1.jpeg" style="border-radius:0; width:250px; height:450px"></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><b>2 - Click on menu General</b></td>
            </tr>
            <tr>
                <td align="center"><img src="Passo_2.jpeg" style="border-radius:0; width:250px; height:450px"></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><b>3 - Click on Profiles & Device Management</b></td>
            </tr>
            <tr>
                <td align="center"><img src="Passo_3.jpeg" style="border-radius:0; width:250px; height:450px"></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><b>4 - Click on Cheesecake Labs Software S A</b></td>
            </tr>
            <tr>
                <td align="center"><img src="Passo_4.jpeg" style="border-radius:0; width:250px; height:450px"></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><b>5 - Click on: Trust "Cheesecake Labs Software S A"</b></td>
            </tr>
            <tr>
                <td align="center"><img src="Passo_5.jpeg" style="border-radius:0; width:250px; height:450px"></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
            <tr>
                <td align="center"><b>6 - Click on: Trust<b/></td>
            </tr>
            <tr>
                <td align="center"><img src="Passo_6.jpeg" style="border-radius:0; width:250px; height:450px"></td>
            </tr>
            <tr>
                <td align="center"><b>Done, now you can use the app :) <b/></td>
            </tr>
            <tr>
                <td align="center">&nbsp</td>
            </tr>
        </table>
    </div>
    <% if @info_plist.bundle_minimum_os_version %>
    <p class="comment">
        This app requires iOS <%= @info_plist.bundle_minimum_os_version %> or higher.
    </p>
    <% end %>
</body>
</html>
<script>
	function validateButton() {
		if(document.getElementById('checkTerm').checked == true){
	      	$('#buttonDownload').removeClass('disabled');
        } else {
    	    $('#buttonDownload').addClass('disabled');
        } 
	}
	
	$('#buttonDownload').click(function(e){
		window.location.href = 'itms-services://?action=download-manifest&amp;url=<%= u(@manifest_url) %>'
	})
	
	$('.disabled').click(function(e){
     	e.preventDefault();
  	})
  	
  	
</script>
EOF
    end

    def to_s
      ERB.new(template).result(binding)
    end
  end
end
